package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-11-13
 */
public class GraphDiseaseCorresponding implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 平安诊断
     */
    private String diagPingan;

    /**
     * 对应的ICD10疾病
     */
    private String diagIcd;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public String getDiagPingan() {
        return diagPingan;
    }

    public void setDiagPingan(String diagPingan) {
        this.diagPingan = diagPingan;
    }
    public String getDiagIcd() {
        return diagIcd;
    }

    public void setDiagIcd(String diagIcd) {
        this.diagIcd = diagIcd;
    }

    @Override
    public String toString() {
        return "GraphDiseaseCorresponding{" +
            "id=" + id +
            ", diagPingan=" + diagPingan +
            ", diagIcd=" + diagIcd +
        "}";
    }
}
