package com.diagbot.repository;

import com.diagbot.entity.node.Group;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;


public interface GroupRepository extends Neo4jRepository<Group, Long> {

    List<Group> findByNameContaining(String name);

    List<Group> findByNameIs(String name);

    List<Group> findByNameIn(List<String> names);

}
