package com.diagbot.entity.node;

import lombok.Getter;
import lombok.Setter;
import org.springframework.data.neo4j.annotation.QueryResult;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/11/17 13:38
 */
@Setter
@Getter
@QueryResult
public class Indication {
    private Long conceptId;
    private Long relationId;
    private Long conditionId;
    private String conceptName;
    private String relationName;
    private String conditionName;
    private String conceptLabel;
    private String conditionLabel;
}
